Groovy Documentation

## org.codehaus.groovy.classgen.asm
[Java] Class MethodCallerMultiAdapter

    java.lang.Object
      org.codehaus.groovy.classgen.asm.MethodCallerMultiAdapter

    public class MethodCallerMultiAdapter
    extends java.lang.Object

Field Summary
`static int` | `MAX_ARGS`

Method Summary
`void` | `call(org.objectweb.asm.MethodVisitor methodVisitor, int numberOfArguments, boolean safe, boolean spreadSafe)` @param methodVisitor
`static MethodCallerMultiAdapter` | `newStatic(java.lang.Class theClass, java.lang.String baseName, boolean createNArgs, boolean skipSpreadSafeAndSafe)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### MAX_ARGS

    public static final int MAX_ARGS

Method Detail

### call

    public void call(org.objectweb.asm.MethodVisitor methodVisitor, int numberOfArguments, boolean safe, boolean spreadSafe)

  Parameters:
    methodVisitor
    `numberOfArguments` - a value >0 describing how many arguments are additionally used for the method call
    safe
    spreadSafe

### newStatic

    public static MethodCallerMultiAdapter newStatic(java.lang.Class theClass, java.lang.String baseName, boolean createNArgs, boolean skipSpreadSafeAndSafe)

Groovy Documentation